Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Class CSSEngine.CSSNavigableDocumentHandler

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.CSSNavigableDocumentHandler

All Implemented Interfaces:
  CSSEngine.MainPropertyReceiver, CSSNavigableDocumentListener

Enclosing class:
  CSSEngine

    protected class CSSEngine.CSSNavigableDocumentHandler

extends Object
implements CSSNavigableDocumentListener, CSSEngine.MainPropertyReceiver

To handle mutations of a CSSNavigableDocument.

Field Summary
`protected StyleDeclaration` | `declaration` The StyleDeclaration to use from the MainPropertyReceiver.
`protected boolean[]` | `mainPropertiesChanged` Array to hold which properties have been changed by a call to setMainProperties.

Constructor Summary
`protected` | `CSSEngine.CSSNavigableDocumentHandler()`

Method Summary
`void` | `attrModified(Element e, Attr attr, short attrChange, String prevValue, String newValue)` An attribute has changed in the CSSNavigableDocument.
`void` | `characterDataModified(Node text)` Character data in the CSSNavigableDocument tree has been modified.
`void` | `nodeInserted(Node newNode)` A node has been inserted into the CSSNavigableDocument tree.
`void` | `nodeToBeRemoved(Node oldNode)` A node is about to be removed from the CSSNavigableDocument tree.
`void` | `overrideStylePropertyChanged(CSSStylableElement elt, String name, String val, String prio)` A property in the override style declaration has been changed.
`void` | `overrideStylePropertyRemoved(CSSStylableElement elt, String name)` A property in the override style declaration has been removed.
`void` | `overrideStyleTextChanged(CSSStylableElement elt, String text)` The text of the override style declaration for this element has been modified.
`void` | `setMainProperty(String name, Value v, boolean important)` Sets a main property value in response to a shorthand property being set.
`void` | `subtreeModified(Node rootOfModifications)` A subtree of the CSSNavigableDocument tree has been modified in some way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainPropertiesChanged

    protected boolean[] mainPropertiesChanged

  Array to hold which properties have been changed by a call to setMainProperties.

### declaration

    protected StyleDeclaration declaration

  The StyleDeclaration to use from the MainPropertyReceiver.

Constructor Detail

### CSSEngine.CSSNavigableDocumentHandler

    protected CSSEngine.CSSNavigableDocumentHandler()

Method Detail

### nodeInserted

    public void nodeInserted(Node newNode)

  A node has been inserted into the CSSNavigableDocument tree.

  Specified by:
    `nodeInserted` in interface `CSSNavigableDocumentListener`

### nodeToBeRemoved

    public void nodeToBeRemoved(Node oldNode)

  A node is about to be removed from the CSSNavigableDocument tree.

  Specified by:
    `nodeToBeRemoved` in interface `CSSNavigableDocumentListener`

### subtreeModified

    public void subtreeModified(Node rootOfModifications)

  A subtree of the CSSNavigableDocument tree has been modified in some way.

  Specified by:
    `subtreeModified` in interface `CSSNavigableDocumentListener`

### characterDataModified

    public void characterDataModified(Node text)

  Character data in the CSSNavigableDocument tree has been modified.

  Specified by:
    `characterDataModified` in interface `CSSNavigableDocumentListener`

### attrModified

    public void attrModified(Element e,
                             Attr attr,
                             short attrChange,
                             String prevValue,
                             String newValue)

  An attribute has changed in the CSSNavigableDocument.

  Specified by:
    `attrModified` in interface `CSSNavigableDocumentListener`

### overrideStyleTextChanged

    public void overrideStyleTextChanged(CSSStylableElement elt,
                                         String text)

  The text of the override style declaration for this element has been modified.

  Specified by:
    `overrideStyleTextChanged` in interface `CSSNavigableDocumentListener`

### overrideStylePropertyRemoved

    public void overrideStylePropertyRemoved(CSSStylableElement elt,
                                             String name)

  A property in the override style declaration has been removed.

  Specified by:
    `overrideStylePropertyRemoved` in interface `CSSNavigableDocumentListener`

### overrideStylePropertyChanged

    public void overrideStylePropertyChanged(CSSStylableElement elt,
                                             String name,
                                             String val,
                                             String prio)

  A property in the override style declaration has been changed.

  Specified by:
    `overrideStylePropertyChanged` in interface `CSSNavigableDocumentListener`

### setMainProperty

    public void setMainProperty(String name,
                                Value v,
                                boolean important)

  Sets a main property value in response to a shorthand property being set.

  Specified by:
    `setMainProperty` in interface `CSSEngine.MainPropertyReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.